apiVersion: v1
kind: ConfigMap
metadata:
  name: eos-config
  labels:
    config: eos
data:
  eos5: |
    use_eos5

  xrd.cf.mgm: |
    mgmofs.nslib /usr/lib64/libEosNsQuarkdb.so
    mgmofs.qdbcluster localhost:7777
    mgmofs.qdbpassword_file  /etc/eos.keytab
    xrd.protocol  XrdHttp:8444 libXrdHttp.so
    http.exthandler  EosMgmHttp libEosMgmHttp.so eos::mgm::http::redirect-to-https=0
    http.exthandler  xrdtpc libXrdHttpTPC.so
    http.trace  all -debug
    xrd.tls  /etc/grid-security/daemon/hostcert.pem /etc/grid-security/daemon/hostkey.pem
    xrd.tlsca  certdir /etc/grid-security/certificates/
    all.sitename  cern_tape_archive_ctaeos_ci
    taperestapi.sitename cern-cta-ctaeosci

  xrd.cf.fst: |
    xrd.protocol  XrdHttp:1140 libXrdHttp.so
    http.exthandler  EosFstHttp /usr/lib64/libEosFstHttp.so none
    http.exthandler  xrdtpc libXrdHttpTPC.so
    xrd.tls  /etc/grid-security/daemon/hostcert.pem /etc/grid-security/daemon/hostkey.pem
    xrd.tlsca  certdir /etc/grid-security/certificates/
    http.trace  all -debug

  xrootd-quarkdb.cfg: |
    xrd.port 7777
    xrd.protocol redis:7777 /usr/lib64/libXrdQuarkDB.so
    redis.mode standalone
    redis.database /var/lib/quarkdb/quarkdb1
    redis.password_file  /etc/eos.keytab.xrootd
